features:
  secondary:
    - name: "GitLab Runner 12.9"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/runner'
      reporter: deastman
      stage: verify
      categories:
       - 'Continuous Integration (CI)'
      description: |
        We're releasing GitLab Runner 12.9 today! GitLab Runner is the lightweight cross-platform agent that runs your build jobs and sends the results back to a GitLab instance. It is used in conjunction with GitLab CI, the open-source continuous integration service included with GitLab.

        #### Changes include:

        - [Create network per build to link containers together](https://gitlab.com/gitlab-org/gitlab-runner/issues/1042)
        - [Fix Job marked as success when job terminates midway in Kubernetes](https://gitlab.com/gitlab-org/gitlab-runner/issues/4119)
        - [Fix Error dialing backend:EOF Google Kubernetes Engine](https://gitlab.com/gitlab-org/gitlab-runner/issues/3247)
        - [Allow service alias from config in Kubernetes executor](https://gitlab.com/gitlab-org/gitlab-runner/issues/4829)
        - [Add support for Windows services with network per build](https://gitlab.com/gitlab-org/gitlab-runner/issues/4186)
        - [Provide rpm/deb package for arm64](https://gitlab.com/gitlab-org/gitlab-runner/issues/4872)
        - [Add CI_JOB_IMAGE to predefined environment variables](https://gitlab.com/gitlab-org/gitlab-runner/issues/4888)
        - [Support EKS IAM Service Accounts (Web identity Providers](https://gitlab.com/gitlab-org/gitlab-runner/issues/4874)
        - [Support ECS Task IAM Role for S3 based cache](https://gitlab.com/gitlab-org/gitlab-runner/issues/3603)
        - [Introduced Windows Lifecycle Policy](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/6623)
        - [Add Fedora 30 to supported operating systems](https://gitlab.com/gitlab-org/gitlab-runner/issues/4401)
        - [Add execution stage name in job trace](https://gitlab.com/gitlab-org/gitlab-runner/issues/4816)
        - [Overwrite kubernetes resource limits and requests for build container on job level](https://gitlab.com/gitlab-org/gitlab-runner/-/merge_requests/874)

        The list of all changes can be found in GitLab Runner's [CHANGELOG](https://gitlab.com/gitlab-org/gitlab-runner/blob/12-9-stable/CHANGELOG.md).
